%global upstream_name itsdangerous

Name:           python-%{upstream_name}
Version:        0.24
Release:        %mkrel 2
Summary:        Python library for passing trusted data to untrusted environments
Group:          Development/Python
License:        BSD
URL:            http://pythonhosted.org/itsdangerous/
Source0:        http://pypi.python.org/packages/source/i/%{upstream_name}/%{upstream_name}-%{version}.tar.xz
BuildArch:      noarch

%description
Itsdangerous is a Python library for passing data through untrusted 
environments (for example, HTTP cookies) while ensuring the data is not 
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the 
implementation on the Django signing module. It also however supports JSON Web 
Signatures (JWS).

%package -n python3-%{upstream_name}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{upstream_name}
Itsdangerous is a Python 3 library for passing data through untrusted 
environments (for example, HTTP cookies) while ensuring the data is not 
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the 
implementation on the Django signing module. It also however supports JSON Web 
Signatures (JWS).

%prep
%setup -q -n %{upstream_name}-%{version}
rm -r *.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGES README LICENSE 
%{python2_sitelib}/%{upstream_name}.py*
%{python2_sitelib}/%{upstream_name}*.egg-info

%files -n python3-%{upstream_name}
%doc CHANGES README LICENSE
%{python3_sitelib}/%{upstream_name}.py
%{python3_sitelib}/%{upstream_name}*.egg-info

%changelog
* Tue Aug 22 2017 bb2 <bb2> 0.24-2pclos2017
- rebuild
